Your wallet cannot be verified

Even my old laptop disconnected the brave from uphold account and uninstalled the browser but still I unable to connect the new laptop Brave browser to please support to connect new brave browser to my uphold Account
Note : Error message appear as below
Your wallet cannot be verified because you’ve reached the maximum verified device limit.

2 Likes

we are all facing this problem. Brave is working on Device management tool. I hope they give this priority. Meanwhile don’t wipeout your pc or browser. Or you will lost all BAT

Hello @pulsar @xtiinshaf
Have you tried the following

2 Likes

I have tried the following. No reply for 1 day

1 Like

@Mattches kindly assist. :pray:

2 Likes

@pulsar,
We appreciate your patience as we have hundreds of these requests come in each day. We will get to your request as soon as possible. Thank you.

3 Likes